## Inizio analisi 125cc, solo freno anteriore

clear;
clc;
clf;
dati;

[tt, xx, vv, rpmm, ccm, ccr, pgas, Nr, Nf] = rett(m, p, b, h, Rr, Rf, I_r, I_f, I_m, I_p, I_s, Rc, R_p, R_f, CC, rs, Af, Cd, Cl, Cm, rho, mu, mur, alpha, Lr, vi, vf, ns, fdu, tr);

## Creo la mappa bidimensionale, 400m
## Asse X = Posizione longitudinale baricentro "b"
## Asse Y = Altezza baricentro "h"
dist = 400;
[B, H] = meshgrid(b, h);
res = zeros(length(b),length(h));
for i = 1:length(b)
  for j = 1:length(h)
    res(i,j) = max(tt(1, 1, 1, i, j, 1, :));
  endfor
endfor
newplot
contourf(B, H, res, 15);
box off;
title(["125cc, " num2str(dist), " m, entrambi i freni"], 'FontWeight', 'bold', 'Fontsize', 18);
xlabel("Distanza baricentro b [m]", 'FontWeight', 'bold', 'Fontsize', 18);
ylabel("Altezza baricentro h [m]", 'FontWeight', 'bold', 'Fontsize', 18);
set(gca, 'FontWeight', 'bold', 'FontSize', 14);
colormap(jet);
colorbar('FontWeight', 'bold', 'FontSize', 14);
print MAPPA.pdf
